# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

# {{ ansible_managed }}
# Role: {{ role_name }}
# File: {{ template_path | relpath(role_path) }}
{# # Commit: {{ lookup('pipe', 'git rev-parse --short HEAD') }} #}

server {
{% if stackapp_service.nginx.schm == 'http' %}
  listen                80;
  server_name           {{ stackapp_network.nexus.fqdn }};
{% else %}
  listen                443 ssl;
  server_name           {{ stackapp_network.nexus.fqdn }};
  ssl_certificate       /etc/nginx/ssl/certs/{{ stackapp_network.nexus.fqdn }}.crt;
  ssl_certificate_key   /etc/nginx/ssl/private/{{ stackapp_network.nexus.fqdn }}.key;
  ssl_protocols         TLSv1 TLSv1.1 TLSv1.2;
  ssl_ciphers           HIGH:!aNULL:!MD5;
{% endif %}

  location / {
    proxy_http_version  1.1;
    proxy_set_header    Host $host:{{ stackapp_network.nexus.port }};
    proxy_set_header    X-Real-IP $remote_addr;
    proxy_set_header    X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header    X-Forwarded-Proto $scheme;
    proxy_pass          {{ stackapp_service.nexus.schm}}://{{
                          stackapp_service.nexus.name }}:{{
                          stackapp_service.nexus.port }}/;
  }

  # Allow large uploads of files for repository mirroring
  client_max_body_size 0G; 
}